Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.impl
Class JbpmExpressionEvaluator

    java.lang.Object
      org.jbpm.jpdl.el.impl.JbpmExpressionEvaluator

    public class JbpmExpressionEvaluator

extends java.lang.Object

Constructor Summary
`JbpmExpressionEvaluator()`

Method Summary
`static java.lang.Object` | `evaluate(java.lang.String expression, ExecutionContext executionContext)`
`static java.lang.Object` | `evaluate(java.lang.String expression, ExecutionContext executionContext, VariableResolver usedVariableResolver, FunctionMapper functionMapper)`
`static FunctionMapper` | `getUsedFunctionMapper()`
`static VariableResolver` | `getUsedVariableResolver()`
`static void` | `setExpressionEvaluator(ExpressionEvaluator expressionEvaluator)`
`static void` | `setFunctionMapper(FunctionMapper functionMapper)`
`static void` | `setVariableResolver(VariableResolver variableResolver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbpmExpressionEvaluator

    public JbpmExpressionEvaluator()

Method Detail

### setExpressionEvaluator

    public static void setExpressionEvaluator(ExpressionEvaluator expressionEvaluator)

### setVariableResolver

    public static void setVariableResolver(VariableResolver variableResolver)

### setFunctionMapper

    public static void setFunctionMapper(FunctionMapper functionMapper)

### evaluate

    public static java.lang.Object evaluate(java.lang.String expression,
                                            ExecutionContext executionContext)

### evaluate

    public static java.lang.Object evaluate(java.lang.String expression,
                                            ExecutionContext executionContext,
                                            VariableResolver usedVariableResolver,
                                            FunctionMapper functionMapper)

### getUsedVariableResolver

    public static VariableResolver getUsedVariableResolver()

### getUsedFunctionMapper

    public static FunctionMapper getUsedFunctionMapper()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD